Set social provider status

Sets the status of social providers for the Tenant.

PUT
/v2/manage/providers

Sets the status of social providers for the Tenant.

Authorization

M2MBearerToken
AuthorizationBearer <token>

M2M Token for authentication

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://api.loginradius.com/v2/manage/providers" \  -H "Content-Type: application/json" \  -d '{    "Data": [      {        "ProviderName": "ExampleProvider1",        "IsActive": true      },      {        "ProviderName": "ExampleProvider2",        "IsActive": false      }    ]  }'
{
  "Data": [
    {
      "ProviderName": "ExampleProvider",
      "IsActive": true
    }
  ]
}

{
  "Message": "A parameter is not formatted correctly.",
  "Description": "The parameter is not formatted correctly, please check all the parameters in the API call",
  "ErrorCode": 7900
}

{
  "Message": "Access Unauthorized",
  "Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
  "ErrorCode": 6002
}
{
  "Message": "Operation failed due to an internal error.",
  "Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
  "ErrorCode": 7909
}